<bugID>764265<Summary>"service windows" should be limited to same domain as provider/worker</Summary><Description>The "social window" (ie, the popup windows rather than the sidebar windows) should be limited to being from the same origin as the worker.  Bug 763839 asks for the status bar to be removed as showing the location of the window has "little value" - but that is only true if there is some certainty it is hosted by the provider which opened it.  Further, windows wanting a "generic" popup window is still free to use window.open to get one.</Description></bugID>